Introduction
An organization object is created once you make an agreement with Meedio. This is something that can't be modified by anyone else except Meedio yet. An organization object contains a very few details about organization and its members so far.
Endpoints
GET /v3/organizations
Organization object:
JSON
{
"name": "Organization name",
"type": "MEDICAL",
"users": [
{
"id": "e91254af-e761-4fdb-abe8-b4b1f7f02415",
"fullName": "John Meedio",
"email": "john@meedio.me",
"organizationRole": "USER",
"isPhysician": true
},
{
"id": "a82365bf-f872-5eec-bf99-c5c2g8g13526",
"fullName": "Michael Meedio",
"email": "michael@meedio.me",
"organizationRole": "ADMIN",
"isPhysician": false
}
]
}
Parameters
| Key | Type | Description |
|---|---|---|
name |
string | name of the organization |
type |
BASIC or MEDICAL |
type of the organization |
users |
array | an array of all users (can be empty) who belong to the organization |
User object
| Key | Type | Description |
|---|---|---|
id |
string | version 4 UUID generated once the user was added to the organization |
fullName |
string | organization user's name |
email |
string | organization user's email |
organizationRole |
USER or ADMIN |
organization user's role |
isPhysician |
boolean | organization user's status (For MEDICAL organizations only) |